package com.qmth.teachcloud.report.business.service;

/**
 * @Description: 基础分析数据校验服务类
 * @Author: CaoZixuan
 * @Date: 2022-06-07
 */
public interface AnalyzeDataCheckService {

    /**
     * 编辑试卷结构时的内部校验 - 校验试卷结构涉及的知识和能力维度都在试卷维度池当中
     *
     * @param knowledgeDimension 知识维度
     * @param abilityDimension   能力维度
     * @param examId             考试id
     * @param courseCode         课程编号
     */
    void checkPaperStructInDimensionDatasource(String knowledgeDimension, String abilityDimension, Long examId, String courseCode);
}
